> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a1base.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Messages

> Get details for a specific message



## OpenAPI

````yaml GET /messages/individual/{accountId}/get-details/{messageId}
openapi: 3.1.0
info:
  title: A1Base API
  description: API for sending and receiving messages across messaging platforms
  version: 0.1.0
servers:
  - url: https://api.a1base.com/v1
    description: A1Base API server
  - url: https://your.endpoint.com
    description: Your webhook endpoint
security:
  - apiKeyAuth: []
    apiSecretAuth: []
paths:
  /messages/individual/{accountId}/get-details/{messageId}:
    get:
      summary: Get Message Details
      description: Get details for a specific message
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
        - name: messageId
          in: path
          required: true
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-API-Secret
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Message details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: object
                    properties:
                      chat_id:
                        type: string
                      chat_name:
                        type: string
                      participants:
                        type: array
                        items:
                          type: string
                      account_id:
                        type: string
                      message_id:
                        type: string
                      to:
                        type: string
                      from:
                        type: string
                      body:
                        type: string
                      status:
                        type: string
                        enum:
                          - queued
                          - sent
                      date_created:
                        type: string
                        format: date-time
                      direction:
                        type: string
                      attachment_uri:
                        type: string
        '404':
          description: Message not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
components:
  schemas:
    ValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            type: object
            properties:
              loc:
                type: array
                items:
                  type:
                    - string
                    - integer
              msg:
                type: string
              type:
                type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    apiSecretAuth:
      type: apiKey
      in: header
      name: X-API-Secret

````